btllib

Public Member Functions | List of all members
btllib::BloomFilter Class Reference

## Public Member Functions
| BloomFilter (size_t bytes, unsigned hash_num)
| BloomFilter (const std::string &path)
void | insert (const std::vector< uint64_t > &hashes)
void | insert (const uint64_t *hashes)
bool | contains (const std::vector< uint64_t > &hashes)
bool | contains (const uint64_t *hashes)
size_t | get_bytes () const
uint64_t | get_pop_cnt () const
unsigned | get_hash_num () const
double | get_fpr () const
void | write (const std::string &path)

The documentation for this class was generated from the following file:

- include/btllib/bloom_filter.hpp